Subject: Re: bug#23635: possible bug in \c escape handling

From: Jim Meyering <[email-masked]>
Date: Sun, 29 May 2016 19:00:25 -0700

On Sat, May 28, 2016 at 8:40 PM, Jim Meyering <[email-masked]> wrote:
> On Sat, May 28, 2016 at 7:31 PM, Assaf Gordon <[email-masked]> wrote:
>> Hello,
>>
>> Thank you for the review.
>> Attached an improved version.
>>
>> Regarding when the bug was introduced (in the 'NEWS'), version 3.02 did not support \c escapes, and version 4.0.6 had this bug (as does the first git commit). I wrote:
>>     [bug introduced in the sed-4.0.* releases]
>
> Thanks for the quick update!
> One more thing I noticed is that you use here docs
> that interpolate. Just as I prefer to use single-quoted strings
> most of the time, e.g., to avoid having to backslash-escape
> every backslash, I prefer to use quoted here docs as in the
> attached. Also, I prefer to space-delimit operators like '<', '<<', and '>'.
> At least on one side.
>
> Also, I removed a stray "EOF" after the final "Exit..." line.
>
> Here's the proposed delta, on top of your patch:

I've pushed your patch amended with that change, and tweaked the log
message to have these lines: capitalized first word of each sentence
and added the (T) and (Bug fixes) qualifiers:

    * sed/compile.c: (RECURSIVE_ESCAPE_C): New error message.
    (normalize_text): Check for \c-backslash, reject recursive escaping.
    * testsuite/recursive-escape-c.sh: New file. Test new behaviour.
    * testsuite/Makefile.am (T): Add new test.
    * NEWS (Bug fixes): Mention it.

Thanks again.
As I write this, I realized that I should have referenced the bug
report URL in the commit log.  Oh well.